/***************************************************************************
                          export_formate.h  -  description
                             -------------------
    begin                : Sun Nov 18 2001
    copyright            : (C) 2001 by mb
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef EXPORT_FORMATE_H
#define EXPORT_FORMATE_H

// Define some formats we may use to export data...
#define EXCEL      1
#define TEXT       2
#define CSV        3
#define HTML       4
#define XML        5
#define POSTSCRIPT 6
#define TEX        7

// include files for QT
#include <qobject.h>
#include <qstring.h>
#include <qlist.h>
#include <qdir.h>
#include <qwidget.h>

#include <export_text.h>
#include <export_excel.h>
#include <export_csv.h>
#include <export_xml.h>
#include <export_html.h>

#include <iostream>
#include <iomanip>

#include <cell.h>

class ExportObj : public QObject
{
  Q_OBJECT
  public:
  /** Constructor for the fileclass of the export */
  ExportObj(QWidget *parent, const char *name);
  /** Destructor for the fileclass of the export */
//  ~ExportObj();
	void setFormat(int x);
	void setFilename(const QString * filename);
	void addData(int row, int col, QString* data, int dtype=0);
	void finish();
	
private slots:
	void doExport();

private:
	int exportformat;	
	int cells;
	QString* exportFilename;
	cell_t * zellExport;
	cell_t * last;
	char * datastring;
};

#endif // EXPORT_FORMATE_H
